Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class StoreConfig

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.StoreConfig

    public class StoreConfig

extends SDBConnectionHolder

A table that stores small models for small configuration information. Stores an N-TRIPLES (robust to charsets) graph. The objective here is not efficiency - it's stability of design because this may record version and layout configuration details so it needs to be a design that will not change.

Author:
  Andy Seaborne

Field Summary
`static String` | `defaultTag`

Constructor Summary
`StoreConfig(SDBConnection sdb)`

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `getModel()`
`com.hp.hpl.jena.rdf.model.Model` | `getModel(String tag)`
`List<String>` | `getTags()`
`void` | `removeModel()`
`void` | `removeModel(String tag)`
`void` | `reset()`
`void` | `setModel(com.hp.hpl.jena.rdf.model.Model m)`
`void` | `setModel(String tag, com.hp.hpl.jena.rdf.model.Model m)`
`List<String>` | `tables()` Get the real tables in the database, not what any configuration information may think

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTag

    public static final String defaultTag

See Also:
  Constant Field Values

Constructor Detail

### StoreConfig

    public StoreConfig(SDBConnection sdb)

Method Detail

### tables

    public List<String> tables()

  Get the real tables in the database, not what any configuration information may think

### removeModel

    public void removeModel()

### removeModel

    public void removeModel(String tag)

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel()

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel(String tag)

### setModel

    public void setModel(com.hp.hpl.jena.rdf.model.Model m)

### setModel

    public void setModel(String tag,
                         com.hp.hpl.jena.rdf.model.Model m)

### getTags

    public List<String> getTags()

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.